/*  COPYRIGHT INFORMATION:
This free script was written by Dan Rodney: Adobe Certified Expert & Instructor
No part of this script can be used and/or redistributed as your own. 
Copyright Dan Rodney 2004-2015. All rights reserved by Dan Rodney.
http://www.danrodney.com
dan@danrodney.com

For installation and usage information please visit http://www.danrodney.com/scripts/quotestofootinchmarks.html

You can share this script with friends and associates as long as it does not involve posting 
it on a website or other medium where it can be downloaded/shared with many people. 
Any form of mass distribution is prohibited unless you obtain prior written consent. 
Please direct people to http://www.danrodney.com to download it.


==================================================================================================  */

//start of the actual script

//define function to reuse whenever they don't haven't the proper text selected
function myQuoteTextNotSelectedAlert() {
	alert("Please select some text that contains quotes you would like to convert.\n© Dan Rodney: Adobe Certified Expert & Instructor\ndanrodney.com");
}

if (app.documents.length == 0) { //make sure a document is open
	//no documents are open, so display an error message
	alert("Please open a document and select the text that contains quotes you would like to convert.\n© Dan Rodney: Adobe Certified Expert & Instructor\ndanrodney.com");
}
else if (app.selection.length == 0) { //make sure something is selected
	//nothing is selected, so display an error message
	myQuoteTextNotSelectedAlert();
}
else if (app.selection.length > 1) { //make sure only one thing is selected
	//more than one thing is selected, so display an error message
	alert("Please select only one text frame that contains quotes you would like to convert.\n© Dan Rodney: Adobe Certified Expert & Instructor\ndanrodney.com");
}
else if (app.selection[0].constructor.name == "InsertionPoint") { //make sure text is selected
	//no text is selected, so display an error message
	myQuoteTextNotSelectedAlert();
}
else if (app.selection[0].contents == undefined) { //make sure it's text that is selected
	//nothing is selected, so display an error message
	myQuoteTextNotSelectedAlert();
}
else {	
	//find out the current document's Typographers Quote Preference
	userOriginalQuotePreference = app.activeDocument.textPreferences.typographersQuotes

	//turn off the Typographers preference
	app.activeDocument.textPreferences.typographersQuotes = false
	
	//set Find/Change preferences to nothing, in case the user had left settings on a previous search
	app.findTextPreferences = NothingEnum.nothing
	app.changeTextPreferences = NothingEnum.nothing

	//====================== PERFORM SEARCHES  ======================
	//change left double quote into inch mark
	app.findTextPreferences.findWhat = "\u201C"
	app.changeTextPreferences.changeTo = "\u0022"
	app.selection[0].changeText( )

	//change right double quote into inch mark
	app.findTextPreferences.findWhat = "\u201D"
	app.changeTextPreferences.changeTo = "\u0022"
	app.selection[0].changeText( )
	
	//change left single quote into foot mark
	app.findTextPreferences.findWhat = "\u2018"
	app.changeTextPreferences.changeTo = "\u0027"
	app.selection[0].changeText( )
	
	//change right single quote into foot mark  
	app.findTextPreferences.findWhat = "\u2019"
	app.changeTextPreferences.changeTo = "\u0027"
	app.selection[0].changeText( )

	//reset Typographers Quote Preference back to the users original setting
	app.activeDocument.textPreferences.typographersQuotes = userOriginalQuotePreference
}